2012年5月21日

[ruby-list:48777] Re: Ruby1.9.3p194をwindows-xpへのローカルインストール時のエラーについて

前川です。

中村さん、ありがとうございました。

実行結果、以下です。

D:\DevKit>pik sw 193 194
Select which Ruby you want:

1. 193: ruby 1.9.3p194 (2012-04-20) [i386-mingw32] ## ← rails3.2.3を設定
しています
2. 193-193 rails313: ruby 1.9.3p194 (2012-04-20) [i386-mingw32] ## ←
rails3.1.3を設定しています
? 1

D:\DevKit>gem install linecache19-0.5.13.gem --no-ri --no-rdoc --local --
--with-ruby-include=D:\Ruby193p194Rails323\rubysrc-1.9.3-p194
Temporarily enhancing PATH to include DevKit...
Building native extensions. This could take a while...
Successfully installed linecache19-0.5.13
1 gem installed

gemファイルをローカルでインストールする際に、rdocで、エラーが出たことがあ
り、メーリングで、
no-ri、no-rdoc を教えてもらったのですが、挿入位置の違いまでは、気付きませ
んでした。

重ねて、ありがとうございました。原因がわかり、スッキリしました。

Takashi Nakamura <tk47kmr.0904@xxxxx> wrote on 2012/05/21 00:58:14:

> オプション --no-ri --no-rdoc --local が無効になってませんか?
>
>
> > D:\DevKit>gem install linecache19-0.5.13.gem --
> > --with-ruby-include=D:\Ruby193p194_Debugger\rubysrc-1.9.3-p194 --no-ri
> > --no-rdoc --local
> > WARNING: Error fetching data: Errno::EHOSTUNREACH: A socket operation
was
> > attempted to an unreachable host. - connect(2)
> > http://rubygems.org/latest_specs.4.8.
> > gz)
> > Temporarily enhancing PATH to include DevKit...
> > Building native extensions. This could take a while...
> > Successfully installed linecache19-0.5.13
> > 1 gem installed
> > Installing ri documentation for linecache19-0.5.13...
> > Installing RDoc documentation for linecache19-0.5.13...
> >
> > helpを見ると
> C:\Documents and Settings\takashi>gem help install
> Usage: gem install GEMNAME [GEMNAME ...] [options] -- --build-flags
> [options]
> 以下省略
>
> >gem install linecache19-0.5.13.gem --
> --with-ruby-include=D:\Ruby193p194_Debugger\rubysrc-1.9.
> 3-p194 --no-ri --no-rdoc --local
> ではなく
> >gem install linecache19-0.5.13.gem --no-ri --no-rdoc --local --
> --with-ruby-include=D:\Ruby19
> 3p194_Debugger\rubysrc-1.9.3-p194
> と思えるのですが
>
> 以下少しやってみました http://rubygems.org/
> には接続でき、ローカルにlinecache19-0.5.13.gemは入れてません。
> C:\Documents and Settings\takashi>gem install linecache19-0.5.13.gem --
> --with-ruby-include=D:\Ruby193p194_Debugger\rubysrc-1.9.
> 3-p194 --no-ri --no-rdoc --local
> ERROR: Could not find a valid gem 'linecache19-0.5.13.gem' (>= 0) in any
> repository
> ERROR: Possible alternatives: linecache193
> ##linecache19-0.5.13.gemと書いているので、見つからなくrubygems.org
> より代替え linecache193の返答がありました。
>
> C:\Documents and Settings\takashi>gem install linecache19-0.5.13.gem
> --no-ri --no-rdoc --local -- --with-ruby-include=D:\Ruby19
> 3p194_Debugger\rubysrc-1.9.3-p194
> ERROR: Could not find a valid gem 'linecache19-0.5.13.gem' (>= 0) in any
> repository
>
> ##ローカルにlinecache19-0.5.13.gemを入れました。
> C:\Documents and Settings\takashi>gem install linecache19-0.5.13.gem
> --no-ri --no-rdoc --local -- --with-ruby-include=D:\Ruby19
> 3p194_Debugger\rubysrc-1.9.3-p194
> Temporarily enhancing PATH to include DevKit...
> Building native extensions. This could take a while...
> Successfully installed linecache19-0.5.13
> 1 gem installed
>
> --build-flagsに関しては、私では判断しかねますので御了承願います。
>
> 中村たかし
>
>
> ====

投稿者 xml-rpc : 2012年5月21日 08:48
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/110627
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。